Summary:	A GNU archiving program
Name:		cpio
Version:	2.12
Release:	%mkrel 2
License:	GPLv2+
Group:		Archiving/Backup
URL:		http://www.gnu.org/software/cpio/
Source:		ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-2.11.tar.xz
Patch0:		cpio-2.11-stdio.in.patch
Patch3:		cpio-2.7-svr4compat.patch
BuildRequires:	bison
Requires(post):	info-install
Requires(preun): info-install
Requires:	rmt
BuildRequires:	texinfo

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

Install cpio if you need a program to manage file archives.
archives

%prep
%setup -qn %{name}-2.11
%patch0 -p1 -b .stdio_in
%patch3 -p1 -b .svr4compat

%build
export CPPFLAGS="%{optflags} -DHAVE_LSTAT=1"
%configure2_5x \
	--bindir=%{_bindir} \
	--with-rmt=%{_sysconfdir}/rmt \
	--disable-rpath

%make


%install
rm -rf %buildroot
%makeinstall_std

%find_lang %{name}

# remove unpackaged file
rm -f %{buildroot}%{_mandir}/man1/mt.*

#backward compat link
mkdir -p %{buildroot}/bin
ln -s %{_bindir}/cpio %{buildroot}/bin/cpio

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%doc AUTHORS ChangeLog README NEWS
/bin/cpio
%{_bindir}/cpio
%{_infodir}/cpio.*
%{_mandir}/man1/cpio.1*

%clean
rm -rf %buildroot

%changelog
* Thu Oct 10 2019 tex - 2.12-2pclos2019
- backed down to 2.11

* Wed Jun 11 2014 bb <bb> 2.11-3pclos2014
- add compt link

